careCycle
Customers

Get paginated customer calls

Get paginated list of calls associated with a customer

GET
/v2/customers/{id}/calls

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Customer ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Query Parameters

number

GET /v2/customers/:id/calls Parameter

Default1Range1 <= value
number

GET /v2/customers/:id/calls Parameter

Default50Range1 <= value <= 100
string

Field to sort by

Default"createdAt"Value in"createdAt" | "disposition" | "duration"
string

Sort direction

Default"desc"Value in"asc" | "desc"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/calls"
{
  "itemsTotal": 0,
  "currentPage": 0,
  "nextPage": 0,
  "prevPage": 0,
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "campaignId": "13f8bf6d-dc27-4a04-bffe-6e5b13c19ddf",
      "disposition": "string",
      "callerId": "string",
      "twilioSid": "string",
      "service": "vapi",
      "testFlag": true,
      "direction": "inbound",
      "recordingUrl": "string",
      "recordingId": "string",
      "stereoRecordingUrl": "string",
      "assistantType": "string",
      "successEvaluation": "string",
      "summary": "string",
      "transcript": "string",
      "durationMs": -9007199254740991,
      "createdAt": "string",
      "mainRecordingUrl": "string",
      "isTestNumber": true,
      "sourceName": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}